Bug 1656850 - [abrt] xfce4-session: g_error_free(): xfsm-shutdown-helper killed by SIGSEGV
Summary: [abrt] xfce4-session: g_error_free(): xfsm-shutdown-helper killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-session
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5a9e95705f80299d92f5d7407e5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 13:19 UTC by lambda.xy.x
Modified: 2019-11-27 20:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 20:15:55 UTC


Attachments (Terms of Use)
File: backtrace (7.81 KB, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: cgroup (345 bytes, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: core_backtrace (1.54 KB, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: dso_list (610 bytes, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: environ (137 bytes, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: exploitable (82 bytes, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: maps (3.88 KB, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: mountinfo (3.92 KB, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: open_fds (186 bytes, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2018-12-06 13:19 UTC, lambda.xy.x
no flags Details

Description lambda.xy.x 2018-12-06 13:19:00 UTC
Description of problem:
This problem occurs when I close the laptop lid and the laptop is supposed to hibernate since I upgraded from F28 to F29.
It also occurs when I call "xfce4-session-logout --hibernate" on the command line.
Using systemd via "systemctl start systemd-hibernate.service", hibernation works as expected.

Version-Release number of selected component:
xfce4-session-4.13.1-20.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        /usr/lib64/xfce4/session/xfsm-shutdown-helper --hibernate
crash_function: g_error_free
executable:     /usr/lib64/xfce4/session/xfsm-shutdown-helper
journald_cursor: s=c542e7a724cf4f269efa532f2f2172f4;i=42b0a;b=b9f04ac2c90746dba9ea5c07127f530b;m=5e3be86;t=57c2504d52732;x=bc46c648b22be71d
kernel:         4.19.5-300.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (2 frames)
 #2 g_error_free at gerror.c:493
 #3 run at main.c:137

Potential duplicate: bug 1299068

Comment 1 lambda.xy.x 2018-12-06 13:19:05 UTC
Created attachment 1512126 [details]
File: backtrace

Comment 2 lambda.xy.x 2018-12-06 13:19:06 UTC
Created attachment 1512127 [details]
File: cgroup

Comment 3 lambda.xy.x 2018-12-06 13:19:08 UTC
Created attachment 1512128 [details]
File: core_backtrace

Comment 4 lambda.xy.x 2018-12-06 13:19:09 UTC
Created attachment 1512129 [details]
File: cpuinfo

Comment 5 lambda.xy.x 2018-12-06 13:19:10 UTC
Created attachment 1512130 [details]
File: dso_list

Comment 6 lambda.xy.x 2018-12-06 13:19:11 UTC
Created attachment 1512131 [details]
File: environ

Comment 7 lambda.xy.x 2018-12-06 13:19:13 UTC
Created attachment 1512132 [details]
File: exploitable

Comment 8 lambda.xy.x 2018-12-06 13:19:14 UTC
Created attachment 1512133 [details]
File: limits

Comment 9 lambda.xy.x 2018-12-06 13:19:15 UTC
Created attachment 1512134 [details]
File: maps

Comment 10 lambda.xy.x 2018-12-06 13:19:17 UTC
Created attachment 1512135 [details]
File: mountinfo

Comment 11 lambda.xy.x 2018-12-06 13:19:18 UTC
Created attachment 1512136 [details]
File: open_fds

Comment 12 lambda.xy.x 2018-12-06 13:19:20 UTC
Created attachment 1512137 [details]
File: proc_pid_status

Comment 13 Ben Cotton 2019-10-31 20:21:34 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Ben Cotton 2019-11-27 20:15:55 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.